<?php
	require("./includes/header.php");
/*
	if(!isset($_GET['xsrftoken']) || $_GET['xsrftoken']!=$_SESSION['xsrftoken']){
		echo 'XSRF attack?';
		exit;
	}
	*/
	
	if(!isset($_GET['dt']) || !isset($_GET['mt'])){
		header("Location: securearea.php");
		exit;
	}
	
	if($_GET['mt'] != hash_hmac("sha256", $_GET['dt'], $_SESSION['xsrftoken'])){
		echo 'XSRF attack';
		exit;
	}
	
	session_destroy();
	echo 'Вие излязохте от профила си.';
?>
<?php
	require("./includes/footer.php");
?>